org.richfaces.fragment.tree

## Class RichFacesTreeNode.AdvancedNodeInteractionsImpl

- java.lang.Object
- - org.richfaces.fragment.tree.RichFacesTree.AdvancedTreeInteractionsImpl
  - - org.richfaces.fragment.tree.RichFacesTreeNode.AdvancedNodeInteractionsImpl

- All Implemented Interfaces:
    VisibleComponentInteractions, Tree.AdvancedTreeInteractions, Tree.TreeNode.AdvancedTreeNodeInteractions
  Enclosing class:
    RichFacesTreeNode

      public class RichFacesTreeNode.AdvancedNodeInteractionsImpl
      extends RichFacesTree.AdvancedTreeInteractionsImpl
      implements Tree.TreeNode.AdvancedTreeNodeInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesTreeNode.AdvancedNodeInteractionsImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tree.TreeNode` | `collapse()` Collapses this node.
    `Tree.TreeNode` | `expand()` Expands this node.
    `org.openqa.selenium.WebElement` | `getContainerElement()`
    `protected org.openqa.selenium.WebElement` | `getCorrectElementForInteraction()` Override this method in case, that tree nodes have different element for interaction (select, collapse, expand) than the label element.
    `org.openqa.selenium.WebElement` | `getHandleElement()`
    `org.openqa.selenium.WebElement` | `getHandleLoadingElement()`
    `org.openqa.selenium.WebElement` | `getIconElement()`
    `org.openqa.selenium.WebElement` | `getLabelElement()`
    `org.openqa.selenium.WebElement` | `getNodeInfoElement()`
    `long` | `getTimeoutForNodeToBeCollapsed()`
    `long` | `getTimeoutForNodeToBeExpanded()`
    `long` | `getTimeoutForNodeToBeSelected()`
    `boolean` | `isCollapsed()`
    `boolean` | `isExpanded()`
    `boolean` | `isLeaf()`
    `boolean` | `isSelected()`
    `Tree.TreeNode` | `select()` Selects this node.
    `void` | `setTimeoutForNodeToBeCollapsed(long timeoutInMilliseconds)`
    `void` | `settimeoutForNodeToBeExpanded(long timeoutInMilliseconds)`
    `void` | `setTimeoutForNodeToBeSelected(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitUntilNodeIsCollapsed()` Checks styleClasses of root, handle, and icon elements.
    `WaitingWrapper` | `waitUntilNodeIsExpanded()` Checks styleClasses of root, handle, and icon elements.
    `WaitingWrapper` | `waitUntilNodeIsNotSelected()`
    `WaitingWrapper` | `waitUntilNodeIsSelected()`

    - ### Methods inherited from class org.richfaces.fragment.tree.RichFacesTree.AdvancedTreeInteractionsImpl

      `getChildNodes, getChildNodesElements, getFirstNode, getLeafNodes, getNodes, getNodesCollapsed, getNodesElements, getNodesExpanded, getRootElement, getSelectedNodes, getToggleNodeEvent, isToggleByHandle, isVisible, setToggleByHandle, setToggleByHandle, setToggleNodeEvent, setToggleNodeEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.tree.Tree.AdvancedTreeInteractions

      `getFirstNode, getLeafNodes, getNodes, getNodesCollapsed, getNodesElements, getNodesExpanded, getRootElement, getSelectedNodes, setToggleByHandle, setToggleByHandle, setToggleNodeEvent, setToggleNodeEvent`

- - ### Constructor Detail

    - #### RichFacesTreeNode.AdvancedNodeInteractionsImpl

          public RichFacesTreeNode.AdvancedNodeInteractionsImpl()

  - ### Method Detail

    - #### collapse

          public Tree.TreeNode collapse()

      Description copied from interface: `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Collapses this node.
      Specified by:
        `collapse` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Returns:
        same node

    - #### expand

          public Tree.TreeNode expand()

      Description copied from interface: `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Expands this node.
      Specified by:
        `expand` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Returns:
        same node

    - #### getContainerElement

          public org.openqa.selenium.WebElement getContainerElement()

      Specified by:
        `getContainerElement` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Returns:
        element which contains icon and label.

    - #### getCorrectElementForInteraction

          protected org.openqa.selenium.WebElement getCorrectElementForInteraction()

      Override this method in case, that tree nodes have different element for interaction (select, collapse, expand) than the label element.

    - #### getHandleElement

          public org.openqa.selenium.WebElement getHandleElement()

      Specified by:
        `getHandleElement` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - #### getHandleLoadingElement

          public org.openqa.selenium.WebElement getHandleLoadingElement()

      Specified by:
        `getHandleLoadingElement` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - #### getIconElement

          public org.openqa.selenium.WebElement getIconElement()

      Specified by:
        `getIconElement` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - #### getLabelElement

          public org.openqa.selenium.WebElement getLabelElement()

      Specified by:
        `getLabelElement` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - #### getNodeInfoElement

          public org.openqa.selenium.WebElement getNodeInfoElement()

      Specified by:
        `getNodeInfoElement` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Returns:
        the first child element of every node. Contains label, icon, handle.

    - #### isCollapsed

          public boolean isCollapsed()

      Specified by:
        `isCollapsed` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - #### isExpanded

          public boolean isExpanded()

      Specified by:
        `isExpanded` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - #### isSelected

          public boolean isSelected()

      Specified by:
        `isSelected` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - #### select

          public Tree.TreeNode select()

      Description copied from interface: `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Selects this node.
      Specified by:
        `select` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Returns:
        same node

    - #### settimeoutForNodeToBeExpanded

          public void settimeoutForNodeToBeExpanded(long timeoutInMilliseconds)

    - #### getTimeoutForNodeToBeExpanded

          public long getTimeoutForNodeToBeExpanded()

    - #### setTimeoutForNodeToBeCollapsed

          public void setTimeoutForNodeToBeCollapsed(long timeoutInMilliseconds)

    - #### getTimeoutForNodeToBeCollapsed

          public long getTimeoutForNodeToBeCollapsed()

    - #### setTimeoutForNodeToBeSelected

          public void setTimeoutForNodeToBeSelected(long timeoutInMilliseconds)

    - #### getTimeoutForNodeToBeSelected

          public long getTimeoutForNodeToBeSelected()

    - #### waitUntilNodeIsCollapsed

          public WaitingWrapper waitUntilNodeIsCollapsed()

      Description copied from interface: `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Checks styleClasses of root, handle, and icon elements.
      Specified by:
        `waitUntilNodeIsCollapsed` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Returns:
        WaitingWrapper

    - #### waitUntilNodeIsExpanded

          public WaitingWrapper waitUntilNodeIsExpanded()

      Description copied from interface: `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Checks styleClasses of root, handle, and icon elements.
      Specified by:
        `waitUntilNodeIsExpanded` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`
      Returns:
        WaitingWrapper

    - #### waitUntilNodeIsNotSelected

          public WaitingWrapper waitUntilNodeIsNotSelected()

      Specified by:
        `waitUntilNodeIsNotSelected` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - #### waitUntilNodeIsSelected

          public WaitingWrapper waitUntilNodeIsSelected()

      Specified by:
        `waitUntilNodeIsSelected` in interface `Tree.TreeNode.AdvancedTreeNodeInteractions`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.